// CREAR VENTANA CON BOTON: DEFINIR PROPIEDADES DE LA VENTANA
// DEFINIR VARIOS EVENTOS EXIT
// Sin contenedores

/* comienzo del ejemplo holamundo */

#include <gtk/gtk.h>

/* Funcin evento delete_event */
gint delete_event( GtkWidget *widget, GdkEvent  *event, gpointer data)
{
    g_print ("evento delete_event\n");

    return TRUE;
}


/* Funcin destruir ventana - Acabar aplicacin */
void destroy (GtkWidget *widget, gpointer data)
{
    gtk_main_quit ();
}


int main (int argc, char *argv[])
{

    // Definir objetos ventana y botn
    GtkWidget *ventana;
    GtkWidget *boton;

    gtk_init (&argc, &argv);
    
    /* creamos una ventana nueva */
    ventana = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    
    /* establecemos el ancho del borde de la ventana (borde interior) */
    gtk_container_border_width (GTK_CONTAINER (ventana), 10);

    // Ttulo de la ventana
    gtk_window_set_title (GTK_WINDOW (ventana), "Titulo ejemplo 3");
    
    // Tamao de la ventana
    gtk_window_set_default_size (GTK_WINDOW (ventana), 400, 200);


    // Conectamos al evento Cerrar Ventana la funcin delete-event
    g_signal_connect (G_OBJECT (ventana), "delete-event",
                        G_CALLBACK (delete_event), NULL);

    
    // Conectamos al evento Cerrar Ventana la funcin destroy
    g_signal_connect (G_OBJECT (ventana), "destroy",
                        G_CALLBACK (destroy), NULL);
    
    /* creamos un botn nuevo con la  etiqueta "Hola mundo" */
    boton = gtk_button_new_with_label ("Exit");
    

    // Conectamos tambin el evento clicked del botn a la funcin destroy
    // g_signal_connect () comportamiento incorrecto
    // el objeto que emite la seal es diferente del objeto que la recibe
    g_signal_connect_swapped (G_OBJECT (boton), "clicked",
                               G_CALLBACK (gtk_widget_destroy),
                               G_OBJECT (ventana));
        
    /* Ahora empaquetamos el botn en la ventana (usamos un gtk container ). */
    gtk_container_add (GTK_CONTAINER (ventana), boton);
    
    /* El ltimo paso es representar el nuevo widget... */
    gtk_widget_show (boton);
    
    /* y la ventana */
    gtk_widget_show (ventana);
    
    // Inicio bucle de proceso
    gtk_main ();
    
    return 0;
}
/* final del ejemplo*/ 
