// CREAR VENTANA CON DOS BOTONES: DEFINIR PROPIEDADES DE LA VENTANA
// DEFINIR VARIOS EVENTOS EXIT
// Usar contenedores
// ACCIN ASOCIADA A DOS BOTONES


/* comienzo del ejemplo holamundo FN FS */

#include <gtk/gtk.h>


/* Funcin evento delete_event */
gint delete_event( GtkWidget *widget, GdkEvent  *event, gpointer data)
{
    g_print ("evento delete_event\n");

    return TRUE;
}


/* Funcin destruir ventana - Acabar aplicacin */
void destroy (GtkWidget *widget, gpointer data)
{
    gtk_main_quit ();
}


// Funcin imprimir dialogo: vuelca el texto a consola
// cuando se ejecuta desde un terminal 
void hello (GtkWidget *widget, gpointer data)
{
    g_print ("Hola fondo norte!\n");
}


void hello2 (GtkWidget *widget, gpointer data)
{
    g_print ("Hola fondo sur!\n");
}


int main (int argc, char *argv[])
{

    // Definir objetos ventana y botn
    GtkWidget *ventana;
    GtkWidget *boton1, *boton2;
    GtkWidget *caja;

    gtk_init (&argc, &argv);
    
    /* creamos una ventana nueva */
    ventana = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    
    /* establecemos el ancho del borde de la ventana (borde interior) */
    gtk_container_border_width (GTK_CONTAINER (ventana), 10);
    
    // Ttulo de la ventana
    gtk_window_set_title (GTK_WINDOW (ventana), "Titulo ejemplo 4");
    
    // Tamao de la ventana
    gtk_window_set_default_size (GTK_WINDOW (ventana), 400, 200);


    // Conectamos al evento Cerrar Ventana la funcin delete-event
    g_signal_connect (G_OBJECT (ventana), "delete-event",
                        G_CALLBACK (delete_event), NULL);

    
    // Conectamos al evento Cerrar Ventana la funcin destroy
    g_signal_connect (G_OBJECT (ventana), "destroy",
                        G_CALLBACK (destroy), NULL);
    
    
    // DEFINIR CONTENEDOR
    
    // Definimos la caja contenedora de widgets horizontal
    // gtk_vbox_new(FALSE, 0) para contenedor vertical 
    caja = gtk_hbox_new(FALSE, 0);

    /* Insertamos la caja en la ventana principal */
    gtk_container_add (GTK_CONTAINER (ventana), caja);
    
    
    // DEFINIR BOTON 1
    
    /* creamos un botn nuevo con la  etiqueta "Boton 1" */
    boton1 = gtk_button_new_with_label ("Boton 1");
    

    // Conectamos el evento clicked del botn a la funcin hello
    g_signal_connect (G_OBJECT (boton1), "clicked",
                        G_CALLBACK (hello), NULL);
        
    /* Empaquetamos el botn en la caja invisible */
    gtk_box_pack_start(GTK_BOX(caja), boton1, TRUE, TRUE, 0);
    
    /* Se representa el widget... */
    gtk_widget_show (boton1);
    
    
    // DEFINIR BOTON 2
    
     /* Definir el segundo botn. */
    boton2 = gtk_button_new_with_label ("Boton 2");


    // Conectamos el evento clicked del botn a la funcin hello2
    g_signal_connect (G_OBJECT (boton2), "clicked",
                        G_CALLBACK (hello2), NULL);


    gtk_box_pack_start(GTK_BOX(caja), boton2, TRUE, TRUE, 0);

    /* Se representa el widget... */
    gtk_widget_show(boton2);
    
    
    // MOSTRAR 

    // Contenedor
    gtk_widget_show(caja);
    
    // Ventana
    gtk_widget_show (ventana);
    
    // Inicio bucle de prodeso
    gtk_main ();
    
    return 0;
}
/* final del ejemplo*/ 


