// CREAR VENTANA CON DOS BOTONES: DEFINIR PROPIEDADES DE LA VENTANA
// DEFINIR VARIOS EVENTOS EXIT
// Usar contenedores
// Nuevos widgets: entrada de texto, etiqueta y tooltip


/* comienzo del ejemplo holamundo */

#include <gtk/gtk.h>

/* Funcin evento delete_event */
gint delete_event( GtkWidget *widget, GdkEvent  *event, gpointer data)
{
    g_print ("evento delete_event\n");

    return TRUE;
}


/* Funcin destruir ventana - Acabar aplicacin */
void destroy (GtkWidget *widget, gpointer data)
{
    gtk_main_quit ();
}


int main (int argc, char *argv[])
{

// Definir objetos ventana y botn
    GtkWidget *ventana;
    GtkWidget *boton1, *boton2;
    GtkWidget *caja;
    GtkWidget *entry;
    GtkWidget *etiqueta;
    GtkTooltips *tooltips;

    gtk_init (&argc, &argv);
    
    /* creamos una ventana nueva */
    ventana = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    
    /* establecemos el ancho del borde de la ventana (borde interior) */
    gtk_container_border_width (GTK_CONTAINER (ventana), 10);
    
    // Ttulo de la ventana
    gtk_window_set_title (GTK_WINDOW (ventana), "Titulo ejemplo 5");
    
    // Tamao de la ventana
    gtk_window_set_default_size (GTK_WINDOW (ventana), 400, 200);


    // Conectamos al evento Cerrar Ventana la funcin delete-event
    g_signal_connect (G_OBJECT (ventana), "delete-event",
                        G_CALLBACK (delete_event), NULL);

    
    // Conectamos al evento Cerrar Ventana la funcin destroy
    g_signal_connect (G_OBJECT (ventana), "destroy",
                        G_CALLBACK (destroy), NULL);
    
    
    // DEFINIR CONTENEDOR
    
    // Definimos la caja contenedora de widgets horizontal
    // gtk_vbox_new(FALSE, 0) para contenedor vertical 
    caja = gtk_hbox_new(FALSE, 0);

    /* ponemos la caja en la ventana principal */
    gtk_container_add (GTK_CONTAINER (ventana), caja);
    
    
    // DEFINIR BOTON 1
    
    /* creamos un botn nuevo con la  etiqueta "Boton 1" */
    boton1 = gtk_button_new_with_label ("Boton1");

    /* Insertamos el botn en la caja invisible */
    gtk_box_pack_start(GTK_BOX(caja), boton1, TRUE, TRUE, 0);
    
    // Definir tooltip para el boton 1
    tooltips = gtk_tooltips_new ();
    gtk_tooltips_set_tip (tooltips, boton1, "Este es el boton 1", NULL);
    
    /* Se representa el widget... */
    gtk_widget_show (boton1);
    
    
    // DEFINIR BOTON 2
    
     /* Creamos un segundo botn. */
    boton2 = gtk_button_new_with_label ("Boton 2");

    /* Insertamos el botn en la caja invisible */
    gtk_box_pack_start(GTK_BOX(caja), boton2, TRUE, TRUE, 0);

    // Definir tooltip para el boton 2
    tooltips = gtk_tooltips_new ();
    gtk_tooltips_set_tip (tooltips, boton2, "Este es el boton 2", NULL);


    /* Se representa el widget... */
    gtk_widget_show(boton2);


    // DEFINIR ENTRADA DE TEXTO
    
    /* creamos una entrada de texto */
     entry = gtk_entry_new ();
        
      /* Insertamos el gtkEntry en la caja */
      gtk_box_pack_start (GTK_BOX (caja), entry, FALSE, FALSE, 0);

      /* mostramos el widget */
      gtk_widget_show (entry);

    
    // DEFINIR ETIQUETA
    
    /* creamos una nueva etiqueta. */
     etiqueta = gtk_label_new ("Texto_label");
        
      /* Empaquetamos la etiqueta en la caja */
      gtk_box_pack_start (GTK_BOX (caja), etiqueta, FALSE, FALSE, 0);

      /* mostramos la etiqueta. */
      gtk_widget_show (etiqueta);
    
    // MOSTRAR 

    // Contenedor
    gtk_widget_show(caja);
    
    // Ventana
    gtk_widget_show (ventana);
    
    // Inicio bucle de prodeso
    gtk_main ();
    
    return 0;
}
/* final del ejemplo*/ 
